Qt Script: Language Reference

# Introduction

## Qt Script Language Concepts

Identifiers, Variables and Constants

Classes and Methods

Class Properties

Comments

Built-in Types and Objects

Built-in Types

Array

Boolean

Date

Function Type

Number

Object

Point

Rect

Size

RegExp

String

Color

Palette

ColorGroup

ByteArray

Font

Pixmap

Built-in Objects

Math

System

Built-in Variables and Constants

Built-in Variables

arguments

Built-in Constants

Infinity

NaN

undefined

Built-in Functions and Operators

Built-in Functions

connect()

debug()

eval()

isFinite()

isNaN()

killTimer()

killTimers()

parseFloat()

parseInt()

startTimer()

Built-in Operators

Assignment Operators

Arithmetic Operators

String Operators

Logical Operators

Comparison Operators

Bit-wise operators

Special Operators

Declarations

class

const

function

var

Control Statements

break

case

catch

continue

default

do

else

for

if

finally

label

return

switch

throw

try

while

with